Loading...
Searching...
No Matches
Opm::RockJfunc Class Reference

## Public Member Functions

void | setUseJfunctionScaling (const bool use_j)
void | setSigmaAndTheta (const double sigma, const double theta)
void | krw (const double saturation, double &krw_value) const
void | kro (const double saturation, double &kro_value) const
void | dkrw (const double saturation, double &dkrw_value) const
void | dkro (const double saturation, double &dkro_value) const
double | s_min () const
double | s_max () const
template<template< class > class SP, class OP>
double | capPress (const FullMatrix< double, SP, OP > &perm, const double poro, const double saturation) const
template<template< class > class SP, class OP>
double | capPressDeriv (const FullMatrix< double, SP, OP > &perm, const double poro, const double saturation) const
template<template< class > class SP, class OP>
double | satFromCapPress (const FullMatrix< double, SP, OP > &perm, const double poro, const double cap_press) const
void | read (const std::string &directory, const std::string &specification)

The documentation for this class was generated from the following file:

- opm/porsol/common/RockJfunc.hpp